RDX.RegisterOOBEObject({
context = "GLOBAL";
name = "BytHealGrid";
title = "BytHealGrid";
version = 30;
PreInstallScript = function()
    RDX.RegisterOOBEOption({
        name = "BytHealGrid_install";
        text = "Install the BytHealGrid";
        sel = true;
    });
end;
InstallCondition = function()
    return RDX.GetOOBEOptionState("BytHealGrid_install");
end;
data = {
-- Begin RDX Data Export
-- Begin Export Data for BytHealGrid
	["BytHealGrid"] = {
		["spellAvaliable"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local spellAvaliable = false;\nlocal time = GetTime();\nlocal start, duration, enabled = GetSpellCooldown(\"Holy Shock\");\nlocal timeLeft = 0;\n\nif duration > 0 then\n  timeLeft = (start + duration - time);\nend;\n\nif(timeLeft <=  1) and UnitInRange( uid)  then\n  spellAvaliable =true;\nend;\n\n\n \n\n",
			},
		},
		["MB_Skill3"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Beacon of Light()",
				},
				["C2"] = {
					["action"] = "cast",
					["spell"] = "Greater Blessing of Kings()",
				},
				["C1"] = {
					["action"] = "cast",
					["spell"] = "Blessing of Kings()",
				},
				["2"] = {
					["action"] = "target",
				},
				["S1"] = {
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["S2"] = {
				},
			},
		},
		["MB_Left"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Holy Light(Rank 13)",
				},
				["2"] = {
					["script"] = "BytGrid:PopHeal",
					["action"] = "macro",
				},
			},
		},
		["Script_Buff_2"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local iconDisplaySpellName = \"Hand of Sacrifice\";\nlocal spellCoolDown = \"Hand of Sacrifice\";\nlocal iconCtrlDisplaySpellName = \"Greater Blessing of Wisdom\";\nlocal iconShiftDisplaySpellName = \"\";\nlocal iconAltDisplaySpellName = \"\";\nlocal showIfBuffed = false;\nlocal modifyerSpell = \"\";\nlocal modifyer = false;\nlocal showSkill2 = true;\n\nif(IsAltKeyDown() and string.len(iconAltDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconAltDisplaySpellName;\nelseif(IsShiftKeyDown() and string.len(iconShiftDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconShiftDisplaySpellName;\nelseif(IsControlKeyDown() and string.len(iconCtrlDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconCtrlDisplaySpellName;\nend\n\nif(modifyer == true)then\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(modifyerSpell);\n  frame.Texture_tSkill2:SetTexture(icon);\n  local alpha = \"1\";\n   if(showIfBuffed==false)then\n     local name = UnitBuff(uid, modifyerSpell);\n     if(name ~= nil and string.len(name) > 0)then\n       alpha = \".2\"\n     end\n  end\n  frame.Frame_fSkill2:SetAlpha(alpha); \nelse\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(iconDisplaySpellName);\n  frame.Texture_tSkill2:SetTexture(icon)\n  local spellfr = 0;\n  local timeLeft = 0;\n  local time = GetTime();\n  local start, duration, enabled = GetSpellCooldown(spellCoolDown);\n  local SpellUsable, nomana = IsUsableSpell(spellCoolDown);\n  local SpellUsable = SpellUsable and UnitInRange(uid);\n\n  if duration > 0 then\n    timeLeft = (start + duration - time)\n    spellfr =   timeLeft / duration;\n  end \n\n  if not SpellUsable then\n    frame.Frame_fSkill2:SetAlpha(\".1\"); \n  else \n    if timeLeft > 1.5  then\n       frame.Frame_fSkill2:SetAlpha(\".1\"); \n    else\n       local tl = timeLeft / 1.5;\n       local alpha = 1 - (.9 * tl);\n       frame.Frame_fSkill2:SetAlpha(alpha); \n    end\n  end\nend\n\n\n",
			},
		},
		["MB_Skill2"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Hand of Sacrifice()",
				},
				["S2"] = {
				},
				["S1"] = {
				},
				["2"] = {
					["action"] = "target",
				},
				["C1"] = {
					["action"] = "cast",
					["spell"] = "Blessing of Wisdom(Rank 9)",
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["C2"] = {
					["action"] = "cast",
					["spell"] = "Greater Blessing of Wisdom(Rank 5)",
				},
			},
		},
		["Aura_3"] = {
			["ty"] = "AuraFilter",
			["version"] = 1,
			["data"] = {
				"Beacon of Light", -- [1]
			},
		},
		["Grid"] = {
			["ty"] = "UnitFrameType",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "ColorVariable: Unit Class Color",
				}, -- [1]
				{
					["feature"] = "Variable: Fractional mana (fm)",
				}, -- [2]
				{
					["feature"] = "Variable: Fractional health (fh)",
				}, -- [3]
				{
					["feature"] = "Variable: Unit In Set",
					["name"] = "setAgro",
					["set"] = {
						["class"] = "ags",
					},
				}, -- [4]
				{
					["feature"] = "Variable: Unit In Set",
					["name"] = "setInRange",
					["set"] = {
						["class"] = "spellrange",
						["spell"] = "Flash of Light(Rank 9)",
					},
				}, -- [5]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "cHealth",
					["color"] = {
						["a"] = 1,
						["b"] = 0.09019607843137255,
						["g"] = 1,
						["r"] = 0,
					},
				}, -- [6]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "cTanking",
					["color"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 0.5254901960784314,
						["b"] = 0.1254901960784314,
					},
				}, -- [7]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "cOutofRange",
					["color"] = {
						["a"] = 1,
						["r"] = 0.2784313725490196,
						["g"] = 0.2784313725490196,
						["b"] = 0.2784313725490196,
					},
				}, -- [8]
				{
					["condVar"] = "setAgro_flag",
					["name"] = "cHasAgro",
					["colorVar1"] = "cTanking",
					["feature"] = "ColorVariable: Conditional Color",
					["colorVar2"] = "cHealth",
				}, -- [9]
				{
					["condVar"] = "setInRange_flag",
					["name"] = "InRange",
					["colorVar1"] = "cHasAgro",
					["feature"] = "ColorVariable: Conditional Color",
					["colorVar2"] = "cOutofRange",
				}, -- [10]
				{
					["feature"] = "base_default",
					["h"] = 35,
					["version"] = 1,
					["w"] = 50,
					["alpha"] = 1,
				}, -- [11]
				{
					["feature"] = "backdrop",
					["owner"] = "Base",
					["version"] = 1,
					["bkd"] = {
						["_border"] = "none",
						["bgFile"] = "Interface\\Addons\\VFL\\Skin\\white",
						["_backdrop"] = "solid",
						["tile"] = false,
						["ka"] = 0.9499999992549419,
						["kb"] = 0,
						["kg"] = 0,
						["kr"] = 0,
					},
				}, -- [12]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:Script_Buff_1",
				}, -- [13]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill1",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [14]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fSkill1",
					["w"] = 12,
					["feature"] = "texture",
					["h"] = 12,
					["name"] = "tSkill1",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill1",
					},
					["version"] = 1,
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["gradDir"] = "HORIZONTAL",
						["blendMode"] = "BLEND",
						["grad2"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["grad1"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["path"] = "",
					},
				}, -- [15]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tSkill1",
					["version"] = 1,
					["flag"] = "true",
				}, -- [16]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:Script_Buff_2",
				}, -- [17]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill2",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPRIGHT",
						["af"] = "fSkill1",
					},
				}, -- [18]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fSkill2",
					["w"] = 12,
					["feature"] = "texture",
					["h"] = 12,
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill2",
					},
					["name"] = "tSkill2",
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["gradDir"] = "HORIZONTAL",
						["blendMode"] = "BLEND",
						["grad2"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["grad1"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["path"] = "",
					},
				}, -- [19]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tSkill2",
					["version"] = 1,
					["flag"] = "true",
				}, -- [20]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:Script_Buff_3",
				}, -- [21]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill3",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPRIGHT",
						["af"] = "fSkill2",
					},
				}, -- [22]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fSkill3",
					["w"] = 12,
					["feature"] = "texture",
					["h"] = 12,
					["name"] = "tSkill3",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill3",
					},
					["version"] = 1,
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["gradDir"] = "HORIZONTAL",
						["blendMode"] = "BLEND",
						["grad2"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["grad1"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["path"] = "",
					},
				}, -- [23]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill3O",
					["flOffset"] = 5,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill3",
					},
				}, -- [24]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "CENTER",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 8,
					},
					["externalNameFilter"] = "BytHealGrid:Aura_3",
					["cdTimerType"] = "COOLDOWN",
					["filterName"] = 1,
					["fontst"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdoffy"] = 0,
					["feature"] = "aura_icons",
					["iconspx"] = 5,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill3O",
					},
					["rows"] = 1,
					["iconspy"] = 0,
					["nIcons"] = 1,
					["cdTxtType"] = "MinSec",
					["filterNameList"] = {
					},
					["mindurationfilter"] = "",
					["auraType"] = "BUFFS",
					["maxdurationfilter"] = "",
					["owner"] = "fSkill3O",
					["playerauras"] = 1,
					["cdoffx"] = 0,
					["cdHideTxt"] = "0",
					["version"] = 1,
					["name"] = "aSkill3",
					["ephemeral"] = 1,
					["orientation"] = "RIGHT",
					["bkd"] = {
						["_border"] = "none",
						["_backdrop"] = "none",
					},
					["size"] = 12,
					["unitfilter"] = "",
				}, -- [25]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tSkill3",
					["version"] = 1,
					["flag"] = "true",
				}, -- [26]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:Script_Buff_4",
				}, -- [27]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill4",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPRIGHT",
						["af"] = "fSkill3",
					},
				}, -- [28]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fSkill4",
					["w"] = 12,
					["feature"] = "texture",
					["h"] = 12,
					["name"] = "tSkill4",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill4",
					},
					["version"] = 1,
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["gradDir"] = "HORIZONTAL",
						["blendMode"] = "BLEND",
						["grad2"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
						["color"] = {
							["a"] = 1,
							["b"] = 1,
							["g"] = 1,
							["r"] = 1,
						},
						["grad1"] = {
							["a"] = 1,
							["r"] = 0.3764705882352941,
							["g"] = 1,
							["b"] = 0.4392156862745098,
						},
					},
				}, -- [29]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fSkill4O",
					["flOffset"] = 5,
					["owner"] = "Base",
					["w"] = 12,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill4",
					},
				}, -- [30]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "CENTER",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 8,
					},
					["externalNameFilter"] = "BytHealGrid:Aura_4",
					["cdTimerType"] = "COOLDOWN",
					["rows"] = 1,
					["fontst"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdoffy"] = 0,
					["feature"] = "aura_icons",
					["iconspx"] = 5,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fSkill4O",
					},
					["filterName"] = 1,
					["iconspy"] = 0,
					["nIcons"] = 1,
					["cdTxtType"] = "MinSec",
					["size"] = 12,
					["mindurationfilter"] = "",
					["auraType"] = "BUFFS",
					["bkd"] = {
						["_border"] = "none",
						["_backdrop"] = "none",
					},
					["owner"] = "fSkill4O",
					["playerauras"] = 1,
					["cdoffx"] = 0,
					["cdHideTxt"] = "0",
					["name"] = "aSkill4",
					["version"] = 1,
					["ephemeral"] = 1,
					["orientation"] = "RIGHT",
					["maxdurationfilter"] = "",
					["filterNameList"] = {
					},
					["unitfilter"] = "",
				}, -- [31]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tSkill4",
					["version"] = 1,
					["flag"] = "true",
				}, -- [32]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "fHealth",
					["flOffset"] = 3,
					["owner"] = "Base",
					["w"] = 76,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "BOTTOMLEFT",
						["af"] = "fSkill1",
					},
				}, -- [33]
				{
					["frac"] = "fh",
					["owner"] = "fHealth",
					["w"] = 48,
					["feature"] = "statusbar_horiz",
					["h"] = 14,
					["version"] = 1,
					["colorVar"] = "InRange",
					["orientation"] = "HORIZONTAL",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fHealth",
					},
					["name"] = "sbHealth",
					["texture"] = {
						["blendMode"] = "BLEND",
						["path"] = "Interface\\Addons\\RDX_mediapack\\Halcyon\\HalL",
					},
				}, -- [34]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "cName",
					["color"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [35]
				{
					["feature"] = "Subframe",
					["h"] = 7,
					["name"] = "fNamePlate",
					["flOffset"] = 1,
					["owner"] = "Base",
					["w"] = 48,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "BOTTOMLEFT",
						["af"] = "fHealth",
					},
				}, -- [36]
				{
					["feature"] = "backdrop",
					["owner"] = "fNamePlate",
					["version"] = 1,
					["bkd"] = {
						["ka"] = 1,
						["kg"] = 1,
						["_backdrop"] = "solid",
						["tile"] = false,
						["kb"] = 1,
						["_border"] = "none",
						["bgFile"] = "Interface\\Addons\\VFL\\Skin\\white",
						["kr"] = 1,
					},
				}, -- [37]
				{
					["feature"] = "Backdrop Colorizer",
					["owner"] = "fNamePlate",
					["flag"] = "true",
					["color"] = "classColor",
				}, -- [38]
				{
					["color"] = "cName",
					["owner"] = "fNamePlate",
					["w"] = 48,
					["feature"] = "txt_np",
					["font"] = {
						["cr"] = 0,
						["face"] = "Fonts\\FRIZQT__.TTF",
						["justifyV"] = "CENTER",
						["cb"] = 0,
						["ca"] = 1,
						["cg"] = 0,
						["name"] = "Default",
						["sx"] = 0,
						["justifyH"] = "LEFT",
						["sy"] = 0,
						["title"] = "Default",
						["size"] = 7,
					},
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fNamePlate",
					},
					["name"] = "np",
					["h"] = 6,
				}, -- [39]
				{
					["frac"] = "fm",
					["owner"] = "fNamePlate",
					["w"] = 48,
					["color1"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["feature"] = "statusbar_horiz",
					["h"] = 4,
					["version"] = 1,
					["color2"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["orientation"] = "HORIZONTAL",
					["name"] = "sbPower",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fNamePlate",
					},
					["texture"] = {
						["color"] = {
							["a"] = 0,
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["blendMode"] = "BLEND",
					},
				}, -- [40]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fNamePlate",
					["w"] = 4,
					["feature"] = "texture",
					["h"] = 7,
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPRIGHT",
						["rp"] = "TOPRIGHT",
						["af"] = "sbPower",
					},
					["name"] = "tPower",
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["gradDir"] = "HORIZONTAL",
						["blendMode"] = "BLEND",
						["grad2"] = {
							["a"] = 1,
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["color"] = {
							["a"] = 1,
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["grad1"] = {
							["a"] = 0,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
					},
				}, -- [41]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:Script_Player_Status",
				}, -- [42]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tPower",
					["version"] = 1,
					["flag"] = "true",
				}, -- [43]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytHealGrid:spellAvaliable",
				}, -- [44]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fHealthOverlay",
					["flOffset"] = 4,
					["owner"] = "Base",
					["w"] = 48,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fHealth",
					},
				}, -- [45]
				{
					["owner"] = "fHealthOverlay",
					["w"] = 48,
					["staticColor"] = {
						["a"] = 1,
						["r"] = 0.5137254901960784,
						["g"] = 0.03529411764705882,
						["b"] = 0,
					},
					["feature"] = "txt_status",
					["ty"] = "hpm",
					["name"] = "status_text",
					["anchor"] = {
						["dx"] = -2,
						["dy"] = 0,
						["lp"] = "TOPRIGHT",
						["rp"] = "TOPRIGHT",
						["af"] = "fHealthOverlay",
					},
					["version"] = 1,
					["h"] = 12,
					["font"] = {
						["size"] = 9,
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["justifyH"] = "RIGHT",
						["sa"] = 1,
						["sg"] = 0,
						["name"] = "Default",
						["sb"] = 0,
						["title"] = "Default",
						["sy"] = -1,
						["sx"] = 1,
						["sr"] = 0,
					},
				}, -- [46]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "CENTER",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 8,
					},
					["cdTimerType"] = "COOLDOWN",
					["rows"] = 1,
					["fontst"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdoffy"] = 0,
					["feature"] = "aura_icons",
					["iconspx"] = 5,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = 2,
						["dy"] = -3,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fHealthOverlay",
					},
					["externalButtonSkin"] = "Builtin:bs_default",
					["iconspy"] = 0,
					["nIcons"] = 1,
					["cdTxtType"] = "MinSec",
					["mindurationfilter"] = "",
					["auraType"] = "DEBUFFS",
					["owner"] = "fHealthOverlay",
					["maxdurationfilter"] = "",
					["cdoffx"] = 0,
					["name"] = "ai1",
					["curefilter"] = 1,
					["version"] = 1,
					["cdHideTxt"] = "0",
					["orientation"] = "RIGHT",
					["bkd"] = {
						["_border"] = "none",
						["_backdrop"] = "none",
					},
					["size"] = 8,
					["unitfilter"] = "",
				}, -- [47]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fHealthOverlay",
					["w"] = 14,
					["feature"] = "texture",
					["h"] = 14,
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "CENTER",
						["rp"] = "CENTER",
						["af"] = "fHealthOverlay",
					},
					["name"] = "tPlayerStatus",
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["blendMode"] = "BLEND",
						["path"] = "",
					},
				}, -- [48]
				{
					["feature"] = "shader_applytex",
					["owner"] = "tPlayerStatus",
					["version"] = 1,
					["var"] = "statusTexture",
				}, -- [49]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tPlayerStatus",
					["version"] = 1,
					["flag"] = "true",
				}, -- [50]
				{
					["cleanupPolicy"] = 2,
					["owner"] = "fHealthOverlay",
					["w"] = 18,
					["feature"] = "texture",
					["h"] = 14,
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPRIGHT",
						["rp"] = "TOPRIGHT",
						["af"] = "fHealthOverlay",
					},
					["name"] = "tSpellAvaliable",
					["drawLayer"] = "ARTWORK",
					["texture"] = {
						["color"] = {
							["a"] = 0.5639999806880951,
							["b"] = 1,
							["g"] = 1,
							["r"] = 1,
						},
						["blendMode"] = "BLEND",
					},
				}, -- [51]
				{
					["feature"] = "shaderTex_showhide",
					["owner"] = "tSpellAvaliable",
					["version"] = 1,
					["flag"] = "spellAvaliable",
				}, -- [52]
				{
					["feature"] = "var_pred_health",
				}, -- [53]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "fPredictedHealth",
					["flOffset"] = 1,
					["owner"] = "Base",
					["w"] = 48,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fHealth",
					},
				}, -- [54]
				{
					["frac"] = "pfh",
					["owner"] = "fPredictedHealth",
					["w"] = 48,
					["color1"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["feature"] = "statusbar_horiz",
					["h"] = 14,
					["version"] = 1,
					["color2"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["orientation"] = "HORIZONTAL",
					["name"] = "sbPreditctedHealth",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fPredictedHealth",
					},
					["texture"] = {
						["color"] = {
							["a"] = 1,
							["r"] = 0.4235294117647059,
							["g"] = 1,
							["b"] = 0.7529411764705882,
						},
						["blendMode"] = "BLEND",
					},
				}, -- [55]
				{
					["w"] = 14,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hSkill1",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 14,
					["secure"] = 1,
				}, -- [56]
				{
					["w"] = 12,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hSkill2",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 12,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 12,
					["secure"] = 1,
				}, -- [57]
				{
					["w"] = 12,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hSkill3",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 24,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 12,
					["secure"] = 1,
				}, -- [58]
				{
					["w"] = 12,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hSkill4",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 36,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 12,
					["secure"] = 1,
				}, -- [59]
				{
					["w"] = 24,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hLeft",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 0,
						["dy"] = -12,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 14,
					["secure"] = 1,
				}, -- [60]
				{
					["w"] = 24,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hRight",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 24,
						["dy"] = -12,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 14,
					["secure"] = 1,
				}, -- [61]
				{
					["w"] = 48,
					["feature"] = "hotspot",
					["flo"] = 5,
					["name"] = "hNamePlate",
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 0,
						["dy"] = -26,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["version"] = 1,
					["h"] = 8,
					["secure"] = 1,
				}, -- [62]
			},
		},
		["MB_Skill4"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Sacred Shield(Rank 1)",
				},
				["S2"] = {
				},
				["S1"] = {
				},
				["2"] = {
					["action"] = "target",
				},
				["C1"] = {
					["action"] = "cast",
					["spell"] = "Blessing of Might(Rank 9)",
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["C2"] = {
					["action"] = "cast",
					["spell"] = "Greater Blessing of Might(Rank 5)",
				},
			},
		},
		["Win_Party"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: Box",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["title"] = "Party",
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "Description",
					["description"] = "Raidframes All",
				}, -- [2]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytHealGrid:Grid",
				}, -- [3]
				{
					["feature"] = "Data Source: Secure",
					["sortPath"] = "BytHealGrid:FilterSort_Party",
				}, -- [4]
				{
					["feature"] = "Header Grid",
					["limit"] = 25,
					["dxn"] = 2,
					["cols"] = 25,
					["bkt"] = 2,
					["axis"] = 2,
				}, -- [5]
				{
					["feature"] = "Skein In",
				}, -- [6]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hLeft",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Left",
				}, -- [7]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hRight",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Right",
				}, -- [8]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hNamePlate",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_NamePlate",
				}, -- [9]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill1",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill1",
				}, -- [10]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill2",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill2",
				}, -- [11]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill3",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill3",
				}, -- [12]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill4",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill4",
				}, -- [13]
				{
					["interval"] = 0.1,
					["feature"] = "Event: Periodic Repaint",
					["slot"] = "RepaintAll",
				}, -- [14]
				{
					["feature"] = "AuraCache",
				}, -- [15]
			},
		},
		["Focus"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: LW Lock/Unlock",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytHealGrid:Grid",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["unitWatch"] = 1,
					["version"] = 1,
					["interval"] = 0.07500000000000001,
					["unit"] = "focustarget",
				}, -- [3]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hLeft",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Left",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hRight",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Right",
				}, -- [5]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill1",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill1",
				}, -- [6]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill2",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill2",
				}, -- [7]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill3",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill3",
				}, -- [8]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill4",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill4",
				}, -- [9]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hNamePlate",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_NamePlate",
				}, -- [10]
			},
		},
		["Aura_2"] = {
			["ty"] = "AuraFilter",
			["version"] = 1,
			["data"] = {
				"Hand of Sacrifice", -- [1]
			},
		},
		["Script_Buff_4"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local iconDisplaySpellName = \"Sacred Shield\";\nlocal spellCoolDown = \"Sacred Shield\";\nlocal iconCtrlDisplaySpellName = \"\";\nlocal iconShiftDisplaySpellName = \"\";\nlocal iconAltDisplaySpellName = \"\";\nlocal showIfBuffed = false;\nlocal modifyerSpell = \"\";\nlocal modifyer = false;\nlocal showSkill4 = true;\n\nif(IsAltKeyDown() and string.len(iconAltDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconAltDisplaySpellName;\nelseif(IsShiftKeyDown() and string.len(iconShiftDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconShiftDisplaySpellName;\nelseif(IsControlKeyDown() and string.len(iconCtrlDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconCtrlDisplaySpellName;\nend\n\nif(modifyer == true)then\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(modifyerSpell);\n  frame.Texture_tSkill4:SetTexture(icon);\n  local alpha = \"1\";\n   if(showIfBuffed==false)then\n     local name = UnitBuff(uid, modifyerSpell);\n     if(name ~= nil and string.len(name) > 0)then\n       alpha = \".2\"\n     end\n  end\n  frame.Frame_fSkill4:SetAlpha(alpha); \nelse\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(iconDisplaySpellName);\n  frame.Texture_tSkill4:SetTexture(icon)\n  local spellfr = 0;\n  local timeLeft = 0;\n  local time = GetTime();\n  local start, duration, enabled = GetSpellCooldown(spellCoolDown);\n  local SpellUsable, nomana = IsUsableSpell(spellCoolDown);\n  local SpellUsable = SpellUsable and UnitInRange(uid);\n\n  if duration > 0 then\n    timeLeft = (start + duration - time)\n    spellfr =   timeLeft / duration;\n  end \n\n  if not SpellUsable then\n    frame.Frame_fSkill4:SetAlpha(\".1\"); \n  else \n    if timeLeft > 1.5  then\n       frame.Frame_fSkill4:SetAlpha(\".1\"); \n    else\n       local tl = timeLeft / 1.5;\n       local alpha = 1 - (.9 * tl);\n       frame.Frame_fSkill4:SetAlpha(alpha); \n    end\n  end\nend\n\n",
			},
		},
		["infoAuthor"] = "Firieth",
		["Me"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: None",
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytHealGrid:Grid",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["version"] = 1,
					["interval"] = 0.1,
					["clickable"] = 1,
					["unit"] = "player",
				}, -- [3]
				{
					["feature"] = "Event: Periodic Repaint",
					["interval"] = 0.1,
					["slot"] = "RepaintAll",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill1",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill1",
				}, -- [5]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill2",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill2",
				}, -- [6]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill3",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill3",
				}, -- [7]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill4",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill4",
				}, -- [8]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hLeft",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Left",
				}, -- [9]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hRight",
					["version"] = 1,
					["mbFriendly"] = "BytGrid:MB_Right",
				}, -- [10]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hNamePlate",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_NamePlate",
				}, -- [11]
			},
		},
		["infoComment"] = "",
		["FilterSort_Party"] = {
			["ty"] = "SecureSort",
			["version"] = 1,
			["data"] = {
				["sort"] = {
					{
						["op"] = "nid",
					}, -- [1]
				},
				["set"] = {
					["class"] = "file",
					["file"] = "BytHealGrid:FilterSet_Party",
				},
			},
		},
		["Aura_1"] = {
			["ty"] = "AuraFilter",
			["version"] = 1,
			["data"] = {
				"Hand of Salvation", -- [1]
			},
		},
		["Script_Player_Status"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local statusTexture = \"\"\n\nlocal leader = false\nif( UnitIsPartyLeader(uid) ~= nil)then\n  leader = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Leader\"\nend\n\nlocal targeted = false\nif UnitName(\"target\") == UnitName(uid) then\n  targeted = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Targeted\"\nend\n\nlocal disconnected = false\nif ( UnitIsConnected (uid) == nil ) then\n  disconnected = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\UnPlugged\"\nend\n\nlocal dead = false\nif( UnitIsDead(uid) ~= nil) then\n  dead = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Dead\"\nend\n\nlocal ghost = false\nif (UnitIsGhost(uid) ~= nil)then\n  ghost = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Dead\"\nend\n\nlocal afk = false\nif (UnitIsAFK(uid) ~= nil)then\n  afk = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Afk\"\nend\n\n\n\n\n\n\n\n\n\n",
			},
		},
		["MB_Right"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Flash of Light(Rank 9)",
				},
				["S2"] = {
				},
				["S1"] = {
				},
				["2"] = {
					["action"] = "cast",
					["spell"] = "Holy Shock(Rank 7)",
				},
				["C1"] = {
					["action"] = "none",
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["C2"] = {
					["action"] = "cast",
					["spell"] = "Blessing of Might(Rank 9)",
				},
			},
		},
		["Script_Buff_3"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local iconDisplaySpellName = \"Beacon of Light\";\nlocal spellCoolDown = \"Sacred Shield\";\nlocal iconCtrlDisplaySpellName = \"Greater Blessing of Kings\";\nlocal iconShiftDisplaySpellName = \"\";\nlocal iconAltDisplaySpellName = \"\";\nlocal showIfBuffed = false;\nlocal modifyerSpell = \"\";\nlocal modifyer = false;\nlocal showSkill3 = true;\n\nif(IsAltKeyDown() and string.len(iconAltDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconAltDisplaySpellName;\nelseif(IsShiftKeyDown() and string.len(iconShiftDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconShiftDisplaySpellName;\nelseif(IsControlKeyDown() and string.len(iconCtrlDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconCtrlDisplaySpellName;\nend\n\nif(modifyer == true)then\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(modifyerSpell);\n  frame.Texture_tSkill3:SetTexture(icon);\n  local alpha = \"1\";\n   if(showIfBuffed==false)then\n     local name = UnitBuff(uid, modifyerSpell);\n     if(name ~= nil and string.len(name) > 0)then\n       alpha = \".2\"\n     end\n  end\n  frame.Frame_fSkill3:SetAlpha(alpha); \nelse\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(iconDisplaySpellName);\n  frame.Texture_tSkill3:SetTexture(icon)\n  local spellfr = 0;\n  local timeLeft = 0;\n  local time = GetTime();\n  local start, duration, enabled = GetSpellCooldown(spellCoolDown);\n  local SpellUsable, nomana = IsUsableSpell(spellCoolDown);\n  local SpellUsable = SpellUsable and UnitInRange(uid);\n\n  if duration > 0 then\n    timeLeft = (start + duration - time)\n    spellfr =   timeLeft / duration;\n  end \n\n  if not SpellUsable then\n    frame.Frame_fSkill3:SetAlpha(\".1\"); \n  else \n    if timeLeft > 1.5  then\n       frame.Frame_fSkill3:SetAlpha(\".1\"); \n    else\n       local tl = timeLeft / 1.5;\n       local alpha = 1 - (.9 * tl);\n       frame.Frame_fSkill3:SetAlpha(alpha); \n    end\n  end\nend\n\n",
			},
		},
		["infoVersion"] = "1.0.0",
		["FilterSet_Party"] = {
			["ty"] = "FilterSet",
			["version"] = 1,
			["data"] = {
				"ne1", -- [1]
			},
		},
		["Aura_4"] = {
			["ty"] = "AuraFilter",
			["version"] = 1,
			["data"] = {
				"Sacred Shield", -- [1]
			},
		},
		["Win_PartyPets"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: Box",
					["title"] = "Pets",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "Description",
					["description"] = "Raidframes All",
				}, -- [2]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytHealGrid:Grid",
				}, -- [3]
				{
					["feature"] = "Data Source: Secure",
					["sortPath"] = "BytHealGrid:FilterSort_Party",
				}, -- [4]
				{
					["feature"] = "Header Grid",
					["limit"] = 25,
					["dxn"] = 1,
					["cols"] = 5,
					["bkt"] = 1,
					["pet"] = 1,
					["axis"] = 1,
				}, -- [5]
				{
					["feature"] = "Skein In",
				}, -- [6]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hLeft",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Left",
				}, -- [7]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hRight",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Right",
				}, -- [8]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill1",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Right",
				}, -- [9]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill2",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill2",
				}, -- [10]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hNamePlate",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_NamePlate",
				}, -- [11]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill3",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill3",
				}, -- [12]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hSkill4",
					["version"] = 1,
					["mbFriendly"] = "BytHealGrid:MB_Skill4",
				}, -- [13]
				{
					["feature"] = "Event: Periodic Repaint",
					["interval"] = 0.1,
					["slot"] = "RepaintAll",
				}, -- [14]
			},
		},
		["MB_NamePlate"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Cleanse()",
				},
				["C2"] = {
					["action"] = "none",
				},
				["C1"] = {
					["action"] = "none",
				},
				["2"] = {
					["action"] = "cast",
					["spell"] = "Lay on Hands(Rank 5)",
				},
				["S1"] = {
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["S2"] = {
				},
			},
		},
		["infoAuthorRealm"] = "Gurubashi",
		["MB_Skill1"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "cast",
					["spell"] = "Hand of Salvation()",
				},
				["C2"] = {
					["action"] = "cast",
					["spell"] = "Greater Blessing of Might(Rank 5)",
				},
				["C1"] = {
					["action"] = "cast",
					["spell"] = "Blessing of Might(Rank 9)",
				},
				["2"] = {
					["action"] = "target",
				},
				["S1"] = {
				},
				["A2"] = {
				},
				["A1"] = {
				},
				["S2"] = {
				},
			},
		},
		["Script_Buff_1"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local iconDisplaySpellName = \"Hand of Salvation\";\nlocal spellCoolDown = \"Hand of Salvation\";\nlocal iconCtrlDisplaySpellName = \"Greater Blessing of Might\";\nlocal iconShiftDisplaySpellName = \"\";\nlocal iconAltDisplaySpellName = \"\";\nlocal showIfBuffed = false;\nlocal modifyerSpell = \"\";\nlocal modifyer = false;\nlocal showSkill1 = true;\n\nif(IsAltKeyDown() and string.len(iconAltDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconAltDisplaySpellName;\nelseif(IsShiftKeyDown() and string.len(iconShiftDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconShiftDisplaySpellName;\nelseif(IsControlKeyDown() and string.len(iconCtrlDisplaySpellName) > 0)then\n  modifyer = true;\n  modifyerSpell =  iconCtrlDisplaySpellName;\nend\n\nif(modifyer == true)then\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(modifyerSpell);\n  frame.Texture_tSkill1:SetTexture(icon);\n  local alpha = \"1\";\n   if(showIfBuffed==false)then\n     local name = UnitBuff(uid, modifyerSpell);\n     if(name ~= nil and string.len(name) > 0)then\n       alpha = \".2\"\n     end\n  end\n  frame.Frame_fSkill1:SetAlpha(alpha); \nelse\n  local a, b, icon, c, d, e, f, g, h;\n  a, b, icon, c, d, e, f, g, h = GetSpellInfo(iconDisplaySpellName);\n  frame.Texture_tSkill1:SetTexture(icon)\n  local spellfr = 0;\n  local timeLeft = 0;\n  local time = GetTime();\n  local start, duration, enabled = GetSpellCooldown(spellCoolDown);\n  local SpellUsable, nomana = IsUsableSpell(spellCoolDown);\n  local SpellUsable = SpellUsable and UnitInRange(uid);\n\n  if duration > 0 then\n    timeLeft = (start + duration - time)\n    spellfr =   timeLeft / duration;\n  end \n\n  if not SpellUsable then\n    frame.Frame_fSkill1:SetAlpha(\".1\"); \n  else \n    if timeLeft > 1.5  then\n       frame.Frame_fSkill1:SetAlpha(\".1\"); \n    else\n       local tl = timeLeft / 1.5;\n       local alpha = 1 - (.9 * tl);\n       frame.Frame_fSkill1:SetAlpha(alpha); \n    end\n  end\nend\n\n",
			},
		},
	},
-- End Export Data for BytHealGrid
-- End RDX Data Export
        };
});
